Capture Order

Use this API to capture the Payment against an order.

📘

Note:

  • You can use this API only when the pre_auth parameter is set to true and the payment is created against an order request.
  • You can capture a partial amount against an order. Currently, the system supports only one partial capture per order. Any remaining amount will be auto-reversed to your customer’s account.

Environment

Use our UAT environment endpoint for testing and for integration utilize our production endpoint.

EnvironmentEndpoints
User Acceptance Testing [UAT]https://pluraluat.v2.pinepg.in/api/pay/v1/orders/{order_id}/capture
Production [PROD]https://api.pluralpay.in/api/pay/v1/orders/{order_id}/capture
Path Params
string
required

Unique identifier of the order in the Pine Labs Online database.

Example: v1-5757575757-aa-hU1rUd

Body Params
string
required

Enter a unique identifier for the capture order request.

  • Maximum length: 50 characters.
  • Minimum length: 1 character.
Example: 123456789

Supported characters:
  • A-Z
  • a-z
  • -
  • _

capture_amount
object

Mandatory for a partial capture request.

An object that contains the capture amount details.

Headers
string

The type of content included in the HTTP message body.

Possible value: application/json.

string
required

The HTTP header where you can include your secret token for authentication.

Example: Bearer <access_token>

Note: Use the access token generated using our Generate Token API.

string

Use ISO 8601 UTC Timestamp, to create a timestamp when the generate token is requested.

Example: 2024-07-09T07:57:08.022Z

string

Use a global unique identifier [GUID] for the request.

  • Minimum: 1 characters.
  • Maximum: 50 characters
Example: c17ce30f-f88e-4f81-ada1-c3b4909ed235

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
Ask AI
Assistant
Order Lifecycle
Refunds
Settlements
Checkout
Dashboard
International Payments
How do I implement webhook notifications for payment status updates, and what's the recommended way to verify webhook authenticity?
How do I integrate Pine Labs payment gateway with my React Native mobile app and what are the required API credentials?
Can I customize the payment UI for card transactions, and what parameters can I pass to modify the checkout experience for my customers?
Assistant